Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1513556

Summary: Pango update on Fedora 27 causes icon spacing problem in Thunar
Product: [Fedora] Fedora Reporter: Andrew Lofthouse <loftyhauser>
Component: pangoAssignee: Akira TAGOH <tagoh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 27CC: alexl, caillon+fedoraproject, fonts-bugs, gnome-sig, i18n-bugs, john.j5live, mclasen, rhughes, rstrode, sallyahaj, sandmann, tagoh
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: pango-1.40.14-1.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-20 01:03:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Thunar with long filename and old pango behavior (good) compared with new pango behavior (bad) none

Description Andrew Lofthouse 2017-11-15 15:38:13 UTC
Created attachment 1352694 [details]
Thunar with long filename and old pango behavior (good) compared with new pango behavior (bad)

Description of problem: The update of pango from 1.40.12-1 to 1.40.13-2 causes icon spacing to grow too large in Thunar with long file names.


Version-Release number of selected component (if applicable): pango-1.40.13-2.fc27


How reproducible: Always


Steps to Reproduce:
1. Install Fedora 27 XFCE spin
2. Update pango from 1.40.12-1 to 1.40.13-2
3. Open Thunar do a directory with a long filename and notice the large icon spacing

Actual results: Icon spacing is too large


Expected results:  Icon spacing should be the same as previously


Additional info:  It seems that the line breaking with the newer pango is broken -- it's trying to break on spaces or special characters instead of breaking in the middle of the filename string.  See the attached screenshots.

Comment 1 Sally A. Haj 2017-11-18 04:27:44 UTC
Yes, this issue makes the file manager inconvenient.

Long icon names, can't be wrap, instead it's in one long line.

Comment 2 Fedora Update System 2017-11-18 14:57:12 UTC
pango-1.40.14-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c60db60c3e

Comment 3 Fedora Update System 2017-11-18 21:26:42 UTC
pango-1.40.14-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c60db60c3e

Comment 4 Sally A. Haj 2017-11-19 04:31:54 UTC
It works just fine, thanks

Comment 5 Fedora Update System 2017-11-20 01:03:24 UTC
pango-1.40.14-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.